=== debian/changelog ===
boostpythongenerator (0.2-0maemo1) unstable; urgency=low

  * Initial port to maemo

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:31:57 -0300

boostpythongenerator (0.2-0ubuntu2) karmic; urgency=low

  * Bump version to use updated version in PPA.

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 20 Aug 2009 18:55:11 -0300

boostpythongenerator (0.2-0ubuntu1) unstable; urgency=low

  * Initial release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:34:42 -0400
