=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# workaround for missing cmake.mk in older CDBS versions
ifneq (,$(realpath /usr/share/cdbs/1/class/cmake.mk))
include /usr/share/cdbs/1/class/cmake.mk
else
include debian/cmake.mk
endif

# Add here any variable or target overrides you need.

DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_MODULE_PATH=/usr/share/cmake-2.6/Modules

# borrowed from python2.5 debian/rules
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  DEB_MAKE_ENVVARS := MAKEFLAGS=-j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif
