=== src/CMakeLists.txt ===
project(boostpython)

set(boostpython_generator_SRC
boostpythongenerator.cpp
convertergenerator.cpp
cppgenerator.cpp
hppgenerator.cpp
boostpython.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}/..
                    ${GENERATORRUNNER_INCLUDE_DIR}
                    ${GENERATORRUNNER_INCLUDE_DIR}/..
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_executable(boostpythongenerator main.cpp)
target_link_libraries(boostpythongenerator
                      ${QT_QTCORE_LIBRARY})

add_library(boostpython_generator SHARED ${boostpython_generator_SRC})
target_link_libraries(boostpython_generator
                      ${APIEXTRACTOR_LIBRARY}
                      ${GENERATORRUNNER_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})


install(TARGETS boostpython_generator DESTINATION ${GENERATORRUNNER_PLUGIN_DIR})
install(TARGETS boostpythongenerator DESTINATION bin)

add_dependencies(boostpythongenerator boostpython_generator)
