=== debian/changelog ===
boostpythongenerator (0.3.2-0maemo1) unstable; urgency=low

  * Final 0.3.2 release for Maemo.
  * Replace Qt4 package names in Depends with libqt4-maemo5-* ones.
  * Drop unnecessary versioned dependencies.
  * Modify debian/rules so that Qt 4.6 can be found in /opt/qt4-maemo5 on
    Maemo.
  * debian/rules: append /usr/lib to CMAKE_INSTALL_RPATH to workaround bug in
    scratchbox-toolchain-cs2007q3-glibc2.5-arm7 1.0.12-10 (currently used in
    Maemo autobuilder).

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 19 Nov 2009 10:35:20 -0400

boostpythongenerator (0.3.2-0pyside0~ppa2) karmic; urgency=low

  * Removed generatorrunner and docgenerator (standalone package now)

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 27 Oct 2009 17:39:35 -0300

boostpythongenerator (0.3.1-0pyside0~ppa3) unstable; urgency=low

  * Bump to fix error when uploading to ppa.
  * Final 0.3.1

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 20 Oct 2009 16:32:43 -0300

boostpythongenerator (0.3.1-0pyside0~ppa2) unstable; urgency=low

  * Final 0.3.1 release

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 15 Oct 2009 14:32:23 -0300

boostpythongenerator (0.3.1-0pyside0~ppa1) unstable; urgency=low

  * Creates new binary packages for the generator runner scheme.
  * Fixed default version name from 'maemo' to 'pyside'.
  * Bump to 0.3.1

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 28 Aug 2009 11:07:47 -0300
