=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
                       ${QT_QTXML_LIBRARY})
 
 
-install(TARGETS boostpython_generator DESTINATION ${GENERATORRUNNER_PLUGIN_DIR})
+install(TARGETS boostpython_generator DESTINATION "${GENERATORRUNNER_PLUGIN_DIR}")
 install(TARGETS boostpythongenerator DESTINATION bin)
 
 add_dependencies(boostpythongenerator boostpython_generator)
