=== debian/control ===
Source: boostpythongenerator
Section: devel
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.3.12), libapiextractor-dev (>= 0.3.3), libgenrunner-dev (>= 0.3.3), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: boostpythongenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (>= 0.3.3)
Description: Binding source code generator for Boost::Python
 Generates Boost::Python-based bindings for qt based libraries.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: boostpythongenerator-dbg
Architecture: any
Depends: boostpythongenerator (>= ${binary:Version}), ${misc:Depends}
Replaces: generatorrunner-dbg (<< 0.3.2)
Conflicts: generatorrunner-dbg (<< 0.3.2)
Section: debug
Description: Debugging symbols for boostpythongenerator
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for boostpythongenerator.
