=== debian/watch ===
version=3
http://www.pyside.org/files/boostpythongenerator-([\d\.]*).tar.bz2
