## boostpythongenerator 0.3.3-0maemo1

=== debian/changelog ===
boostpythongenerator (0.3.3-0maemo1) unstable; urgency=low

  * Release 0.3.3.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Fri, 18 Dec 2009 12:41:44 -0400
