## boostpythongenerator 0.3.3-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # boostpythongenerator version
 set(boostpythongenerator_MAJOR_VERSION "0")
 set(boostpythongenerator_MINOR_VERSION "3")
-set(boostpythongenerator_MICRO_VERSION "3")
+set(boostpythongenerator_MICRO_VERSION "4")
 set(boostpythongenerator_VERSION "${boostpythongenerator_MAJOR_VERSION}.${boostpythongenerator_MINOR_VERSION}.${boostpythongenerator_MICRO_VERSION}")
 
 set(CMAKE_BUILD_TYPE Debug)
