=== debian/changelog ===
boostpythongenerator (0.3.3-1maemo1) unstable; urgency=low

  * Update to Qt 4.6.1.

 -- Renato Filho <renato.filho@openbossa.org>  Fri, 22 Jan 2010 13:42:12 -0300
