=== debian/control ===
Source: boostpythongenerator
Section: devel
Priority: extra
Maintainer: PySide team <contact@pyside.org>
Build-Depends: cdbs, debhelper (>= 5), libapiextractor-dev (>= 0.3.2-0~ppa1), libqt4-maemo5-dev, cmake, libgenrunner-dev (>= 0.3.2)
Standards-Version: 3.7.3

Package: boostpythongenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapiextractor0 (>= 0.3.2-0~ppa1), generatorrunner (>= 0.3.2)
Description: Generates Python bindings for qt based libraries
 Generates Boost::Python-based bindings for qt based libraries.
